.\"	$NetBSD: en.4,v 1.7 2001/09/19 00:49:57 wiz Exp $
.\"
.\" Copyright (c) 1997 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe of the Numerical Aerospace Simulation Facility,
.\" NASA Ames Research Center.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 10, 1997
.Dt EN 4
.Os
.Sh NAME
.Nm en
.Nd Midway-based ATM interfaces device driver
.Sh SYNOPSIS
.Cd "en* at pci? dev ? function ?"
.Cd "en* at sbus? slot ? offset ?"
.Sh DESCRIPTION
The
.Nm
device driver supports Midway-based
.Tn ATM
interfaces including the
Efficient Networks, Inc. ENI-155 and Adaptec 5900 and 5905.
.Sh OPTIONS
The Efficient Networks, Inc. and Adaptec interfaces use significantly
different DMA engines.
In order to reduce the size of the
.Nm
driver object, exactly one of the following options may be placed
in the kernel configuration file:
.Bl -tag -width MIDWAY_ADPONLY
.It MIDWAY_ADPONLY
Include support for Adaptec interfaces only.
.It MIDWAY_ENIONLY
Include support for Efficient Networks, Inc. interfaces only.
.El
.\" .Sh MEDIA SELECTION
.\" .Sh DIAGNOSTICS
.Sh HARDWARE
Cards supported by the
.Nm
driver include:
.Pp
.Bl -item -compact
.It
Efficient Networks, Inc. ENI-155
.It
Adaptec 5900 and 5905
.El
.Sh SEE ALSO
.Xr intro 4 ,
.Xr pci 4 ,
.Xr sbus 4 ,
.Xr ifconfig 8
.Sh BUGS
The
.Tn Sbus
attachment of the
.Nm
driver only currently functions on sun4c class systems.
